Bug 1267834 - config.guess doesn't recognize ppc64le
config.guess doesn't recognize ppc64le
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dejagnu (Show other bugs)
7.2
ppc64le Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Matej Mužila
qe-baseos-tools
: Patch
: 1368532 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 03:52 EDT by Jan Synacek
Modified: 2018-01-29 13:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch backported from upstream (10.64 KB, patch)
2016-04-21 08:43 EDT, Matej Mužila
no flags Details | Diff

  None (edit)
Description Jan Synacek 2015-10-01 03:52:13 EDT
Description of problem:
config.guess doesn't recognize ppc64le.

The environment-modules package uses the script when running its test suite. Bundling the script or turning off the tests is *not* a solution.


Version-Release number of selected component (if applicable):
dejagnu-1.5.1-3.el7.noarch


Steps to Reproduce:
1./usr/share/dejagnu/libexec/config.guess


Actual results:
/usr/share/dejagnu/libexec/config.guess: unable to guess system type

This script, last modified 2012-12-29, has failed to recognize
the operating system you are using. It is advised that you
download the most up to date version of the config scripts from

  http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.guess;hb=HEAD
and
  http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.sub;hb=HEAD

If the version you run (/usr/share/dejagnu/libexec/config.guess) is already up to date, please
send the following data and any information you think might be
pertinent to <config-patches@gnu.org> in order to provide the needed
information to handle your system.

config.guess timestamp = 2012-12-29

uname -m = ppc64le
uname -r = 3.10.0-320.el7.ppc64le
uname -s = Linux
uname -v = #1 SMP Mon Sep 28 08:12:29 EDT 2015

/usr/bin/uname -p = ppc64le
/bin/uname -X     = 

hostinfo               = 
/bin/universe          = 
/usr/bin/arch -k       = 
/bin/arch              = ppc64le
/usr/bin/oslevel       = 
/usr/convex/getsysinfo = 

UNAME_MACHINE = ppc64le
UNAME_RELEASE = 3.10.0-320.el7.ppc64le
UNAME_SYSTEM  = Linux
UNAME_VERSION = #1 SMP Mon Sep 28 08:12:29 EDT 2015



Expected results:
The architecture is recognized.


Additional info:
New versions of config.guess work correctly.
Comment 2 Matej Mužila 2016-04-21 08:43 EDT
Created attachment 1149458 [details]
Patch backported from upstream

I've backported upstream patch thet solves this issue.
Comment 3 Jan Synacek 2016-08-30 04:03:39 EDT
*** Bug 1368532 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.